Bug 820432 - platform recursive groups include non-committed resources as implicit members
platform recursive groups include non-committed resources as implicit members
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Monitoring (Show other bugs)
4.4
Unspecified Unspecified
urgent Severity unspecified (vote)
: ---
: JON 3.1.1
Assigned To: John Mazzitelli
Mike Foley
:
Depends On: 819897
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 18:24 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 819897
Environment:
Last Closed: 2013-09-03 11:19:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Charles Crouch 2012-05-09 18:24:54 EDT
As Mazz describes this is not a regression, so targetting for JON3.1.1
Comment 2 Charles Crouch 2012-05-10 10:02:37 EDT
Taking this out of the current sprint since targeting jon3.1.1
Comment 3 John Mazzitelli 2012-05-11 09:30:19 EDT
(In reply to comment #10)
> I don't see there is much need for discussion, we shouldn't *ever* be showing 
> uncommitted resources in the regular inventory. The only place uncommitted 
> resources should appear is in the Import related resource lists.

There are many places where our group queries aren't filtering out
non-committed resources. I created bug 820981 to address this.
Comment 4 John Mazzitelli 2012-05-25 12:42:34 EDT
for the record, I had to commit d9f41878fbfff7659e62a82a7f7195142e11693d to the release/3.1.x branch for bug 825318 and it caused a conflict. When cherry picking code for this BZ, be aware of a possible conflict. Might have to just copy over whatever is in the master copy of LargeGroupCriteriaTest into the release branch.
Comment 5 Charles Crouch 2012-07-17 18:04:41 EDT
Setting to Assigned, so mazz can cherry pick 819897
Comment 6 John Mazzitelli 2012-07-18 12:35:58 EDT
commits to release/jon3.1.x:

65a890fa1f4084d26781aba3da0d06c1f38b6121
a20fedb416f53d49f89f8b1e32af3eb1ca53413a
81f7ea0d5078c6b470e9cc3342687e88170360e8
3d9da7710ed9c3f4857c3427c6e4c69cc8c58b23
ee6d6f6f063064f2a0336573c62eb9beb2b334eb
Comment 7 John Sanda 2012-08-02 14:52:19 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 8 Filip Brychta 2012-08-13 05:56:01 EDT
Verified on JON 3.1.1 ER1. Verified both fixes, the left-hand tree in the group view and the count in the group list
Comment 9 Heiko W. Rupp 2013-09-03 11:19:08 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.